# checkbox.h File Reference

## Classes

class | wxCheckBox
| A checkbox is a labelled box which by default is either on (checkmark is visible) or off (no checkmark). More...

## Enumerations

enum | wxCheckBoxState { wxCHK_UNCHECKED, wxCHK_CHECKED, wxCHK_UNDETERMINED }
| The possible states of a 3-state wxCheckBox (Compatible with the 2-state wxCheckBox). More...

## Enumeration Type Documentation

enum wxCheckBoxState

The possible states of a 3-state wxCheckBox (Compatible with the 2-state wxCheckBox).

Enumerator:

  wxCHK_UNCHECKED |
  wxCHK_CHECKED |
  wxCHK_UNDETERMINED | 3-state checkbox only

|  | [ top ]